首页 小组 文章 搜索 我的社区 用户

记一次MongoDB安装报错的坑

2018-06-07 15:17:15
0
909

当你看到下面的错误时,并且你又在Linux下面安装MongoDB,那么恭喜你犯了一个和我一样的错误。

make: *** [php_mongo.lo] Error 1

查了一下在外国的论坛看到的。

如果您是Linux用户,以下答案可能对您有所帮助

我和你有同样的问题,但我知道了

实际上,我们应该使用mongodb而不是使用Mongo

这两个是不同的

这是我的安装希望能帮助你

curl -O  
tar zxf mongodb-1.2.3.tgz
cd mongodb-1.2.3
phpize
./configure --with-php-config=php-config make && make install

一些链接

https://docs.mongodb.com/ecosystem/drivers/php/


注意

./configure --with-php-config=php-config make && make install

这一行不能直接抄,因为--with-php-config是你的php-config的文件地址,一般在PHP安装目录里面。

哦,对了,phpize也是在那里,如果你直接运行这个命令报错,可以试试加上全部路径

用户评论